# md-tools-plugin-toc

内容目录生成

## 用法

1. 安装依赖:

```bash
npm i -D md-tools-plugin-toc
```

1. 在主题index配置 plugins 中增加`md-tools-plugin-toc`.

  ```js
  module.exports = {
    plugins: ["md-tools-plugin-toc?maxDepth=2&keepElem"]
  };
  ```

1. 在主题的模板文件中的使用方法:

  ```jsx
  <div>{utils.toReactComponent(pageData.toc)}</div>
  ```

## API

### maxDepth: Number

> default: 2

目录深度，最大6级。

### keepElem: Boolean

> default: true

是否保留目录Dom元素，默认false，只取文本。

## License

MIT
